<?php

namespace App\Services\Admin\Contracts;

use Illuminate\Pagination\LengthAwarePaginator;

interface AdminServiceInterface
{
    public function getUserListWithStats(string $selectedMonth, ?string $search = null, ?string $flagSend = null): array;

    public function getUserTransactions(string $msnv, string $selectedMonth): LengthAwarePaginator;

    public function createUser(array $data): void;

    public function updateUser(string $msnv, array $data): void;

    public function deactivateUser(string $msnv): void;

    public function resetAllCards(): void;
}